/* Generated By:JavaCC: Do not edit this line. AnalyzerConstants.java */
package org.thema.lucsim.parser;


/**
 * Token literal values and constants.
 * Generated by org.javacc.parser.OtherFilesGen#start()
 */
public interface AnalyzerConstants {

  /** End of File. */
  int EOF = 0;
  /** RegularExpression Id. */
  int SINGLE_LINE_COMMENT = 4;
    /** RegularExpression Id. */
  int OR = 5;
  /** RegularExpression Id. */
  int AND = 6;
  /** RegularExpression Id. */
  int XOR = 7;
  /** RegularExpression Id. */
  int NOT = 8;
  /** RegularExpression Id. */
  int TRUE = 9;
  /** RegularExpression Id. */
  int FALSE = 10;
  /** RegularExpression Id. */
  int EQUAL = 11;
  /** RegularExpression Id. */
  int GEQ = 12;
  /** RegularExpression Id. */
  int LEQ = 13;
  /** RegularExpression Id. */
  int NEQ = 14;
  /** RegularExpression Id. */
  int GREAT = 15;
  /** RegularExpression Id. */
  int LESS = 16;
  /** RegularExpression Id. */
  int PLUS = 17;
  /** RegularExpression Id. */
  int MINUS = 18;
  /** RegularExpression Id. */
  int TIMES = 19;
  /** RegularExpression Id. */
  int DIVIDE = 20;
  /** RegularExpression Id. */
  int MODULO = 21;
  /** RegularExpression Id. */
  int PERCENT = 22;
  /** RegularExpression Id. */
  int NBCELLNEU = 23;
  /** RegularExpression Id. */
  int NBCELLMOO = 24;
  /** RegularExpression Id. */
  int NBCELLSQ = 25;
  /** RegularExpression Id. */
  int NBCELLCIR = 26;
  /** RegularExpression Id. */
  int PCELLSQ = 27;
  /** RegularExpression Id. */
  int PCELLCIR = 28;
  /** RegularExpression Id. */
  int NBCELLANG = 29;
  /** RegularExpression Id. */
  int PCELLANG = 30;
  /** RegularExpression Id. */
  int CELLDURATION = 31;
  /** RegularExpression Id. */
  int NORTH = 32;
  /** RegularExpression Id. */
  int SOUTH = 33;
  /** RegularExpression Id. */
  int EAST = 34;
  /** RegularExpression Id. */
  int WEST = 35;
  /** RegularExpression Id. */
  int NORTH_EAST = 36;
  /** RegularExpression Id. */
  int NORTH_WEST = 37;
  /** RegularExpression Id. */
  int SOUTH_EAST = 38;
  /** RegularExpression Id. */
  int SOUTH_WEST = 39;
  /** RegularExpression Id. */
  int NBCELL = 40;
  /** RegularExpression Id. */
  int PCELL = 41;
  /** RegularExpression Id. */
  int STEP = 42;
  /** RegularExpression Id. */
  int NBSAMESTEP = 43;
  /** RegularExpression Id. */
  int NBCELLDURATION = 44;
  /** RegularExpression Id. */
  int RANDOM = 45;
  /** RegularExpression Id. */
  int INT = 46;
  /** RegularExpression Id. */
  int ROUND = 47;
  /** RegularExpression Id. */
  int WHILE = 48;
  /** RegularExpression Id. */
  int IF = 49;
  /** RegularExpression Id. */
  int REPEAT = 50;
  /** RegularExpression Id. */
  int COMMA = 56;
  /** RegularExpression Id. */
  int DOT = 57;
  /** RegularExpression Id. */
  int COLON = 58;
  /** RegularExpression Id. */
  int SEMI_COLON = 59;
  /** RegularExpression Id. */
  int ARROW = 60;
  /** RegularExpression Id. */
  int OPEN_PAR = 61;
  /** RegularExpression Id. */
  int CLOSE_PAR = 62;
  /** RegularExpression Id. */
  int OPEN_BRA = 63;
  /** RegularExpression Id. */
  int CLOSE_BRA = 64;
  /** RegularExpression Id. */
  int ALL = 65;
  /** RegularExpression Id. */
  int COM = 66;
  /** RegularExpression Id. */
  int DIGITS_ONE_OR_MORE = 67;
  /** RegularExpression Id. */
  int DIGITS_ZERO_OR_MORE = 68;
  /** RegularExpression Id. */
  int INTEGER = 69;
  /** RegularExpression Id. */
  int FLOAT = 70;
  /** RegularExpression Id. */
  int LETTERS = 71;
  /** RegularExpression Id. */
  int DASH = 72;
  /** RegularExpression Id. */
  int METER = 73;
  /** RegularExpression Id. */
  int DEGREE = 74;
  /** RegularExpression Id. */
  int INTERRO = 75;
  /** RegularExpression Id. */
  int NAME = 76;

  /** Lexical state. */
  int DEFAULT = 0;
  /** Lexical state. */
  int WithinComment = 1;

  /** Literal token values. */
  String[] tokenImage = {
    "<EOF>",
    "\"/*\"",
    "\"*/\"",
    "<token of kind 3>",
    "<SINGLE_LINE_COMMENT>",
    "<OR>",
    "<AND>",
    "<XOR>",
    "<NOT>",
    "<TRUE>",
    "<FALSE>",
    "\"=\"",
    "\">=\"",
    "\"<=\"",
    "\"<>\"",
    "\">\"",
    "\"<\"",
    "\"+\"",
    "\"-\"",
    "\"*\"",
    "\"/\"",
    "<MODULO>",
    "\"%\"",
    "<NBCELLNEU>",
    "<NBCELLMOO>",
    "<NBCELLSQ>",
    "<NBCELLCIR>",
    "<PCELLSQ>",
    "<PCELLCIR>",
    "<NBCELLANG>",
    "<PCELLANG>",
    "<CELLDURATION>",
    "<NORTH>",
    "<SOUTH>",
    "<EAST>",
    "<WEST>",
    "<NORTH_EAST>",
    "<NORTH_WEST>",
    "<SOUTH_EAST>",
    "<SOUTH_WEST>",
    "<NBCELL>",
    "<PCELL>",
    "\"step\"",
    "<NBSAMESTEP>",
    "<NBCELLDURATION>",
    "\"random\"",
    "\"int\"",
    "\"round\"",
    "\"while\"",
    "\"if\"",
    "\"repeat\"",
    "\" \"",
    "\"\\t\"",
    "\"\\n\"",
    "\"\\r\"",
    "\"\\r\\n\"",
    "\",\"",
    "\".\"",
    "\":\"",
    "\";\"",
    "\"->\"",
    "\"(\"",
    "\")\"",
    "\"{\"",
    "\"}\"",
    "\"all\"",
    "\"//\"",
    "<DIGITS_ONE_OR_MORE>",
    "<DIGITS_ZERO_OR_MORE>",
    "<INTEGER>",
    "<FLOAT>",
    "<LETTERS>",
    "<DASH>",
    "\"m\"",
    "\"\\u00b0\"",
    "\"?\"",
    "<NAME>",
  };

}
